import PropTypes from 'prop-types';
import FormHandler from './components/FormHandler.js';
import StageInfo from './components/StageInfo.js';
import { BASE_CLASS } from './config.js';
import { PasswordResetProvider } from './context.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
export default function LoginPasswordReset(_ref) {
  var customI18n = _ref.i18n;
  return /*#__PURE__*/_jsx(PasswordResetProvider, {
    customI18n: customI18n,
    children: /*#__PURE__*/_jsxs("div", {
      className: BASE_CLASS,
      children: [/*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-item",
        children: /*#__PURE__*/_jsx(StageInfo, {})
      }), /*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-item",
        children: /*#__PURE__*/_jsx(FormHandler, {})
      }), /*#__PURE__*/_jsx("div", {
        className: BASE_CLASS + "-item " + BASE_CLASS + "-itemFalse"
      })]
    })
  });
}
LoginPasswordReset.displayName = 'LoginPasswordReset';